Skip to main content
GET
/
api
/
v2
/
integrations
/
{integrationKey}
Get audit log subscriptions by integration
curl --request GET \
  --url https://app.launchdarkly.com/api/v2/integrations/{integrationKey} \
  --header 'Authorization: <api-key>'
{
  "_links": {},
  "items": [
    {
      "_links": {},
      "_id": "1234a56b7c89d012345e678f",
      "kind": "datadog",
      "name": "Example Datadog integration",
      "config": {},
      "statements": [
        {
          "effect": "allow",
          "resources": [
            "proj/*:env/*;qa_*:/flag/*"
          ],
          "notResources": [
            "<string>"
          ],
          "actions": [
            "*"
          ],
          "notActions": [
            "<string>"
          ]
        }
      ],
      "on": true,
      "tags": [
        "testing"
      ],
      "_access": {
        "denied": [
          {
            "action": "<string>",
            "reason": {
              "effect": "allow",
              "resources": [
                "proj/*:env/*;qa_*:/flag/*"
              ],
              "notResources": [
                "<string>"
              ],
              "actions": [
                "*"
              ],
              "notActions": [
                "<string>"
              ],
              "role_name": "<string>"
            }
          }
        ],
        "allowed": [
          {
            "action": "<string>",
            "reason": {
              "effect": "allow",
              "resources": [
                "proj/*:env/*;qa_*:/flag/*"
              ],
              "notResources": [
                "<string>"
              ],
              "actions": [
                "*"
              ],
              "notActions": [
                "<string>"
              ],
              "role_name": "<string>"
            }
          }
        ]
      },
      "_status": {
        "successCount": 123,
        "lastSuccess": 123,
        "lastError": 123,
        "errorCount": 123,
        "errors": [
          {
            "statusCode": 123,
            "responseBody": "<string>",
            "timestamp": 123
          }
        ]
      },
      "url": "<string>",
      "apiKey": "<string>"
    }
  ],
  "key": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://launchdarkly-preview.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Path Parameters

integrationKey
string<string>
required

The integration key

Response

Integrations collection response

items
object[]
key
string